using KendoGridServerBinding.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace KendoGridServerBinding.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            List<Product> products = new List<Product>();
            for (int i = 0; i < 1000; i++)
            {
                products.Add(new Product() { CategoryID = i, Discontinued = false, ProductName = "Product " + i, ProductID = i, QuantityPerUnit = i.ToString(), ReorderLevel = 12, SupplierID = i, UnitPrice = i, UnitsInStock = 12, UnitsOnOrder = 12 });
            }
           
            return View(products);
        }
    }
}
